# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeBSplineCurveWithKnots Class Reference

This class implements the mapping between classes
BSplineCurve from Geom, Geom2d and the class
BSplineCurveWithKnots from StepGeom
which describes a bspline_curve_with_knots from
Prostep
.

`#include <GeomToStep_MakeBSplineCurveWithKnots.hxx>`

Inheritance diagram for GeomToStep_MakeBSplineCurveWithKnots:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeBSplineCurveWithKnots (const Handle(Geom_BSplineCurve)&Bsplin)
Standard_EXPORT | GeomToStep_MakeBSplineCurveWithKnots (const Handle(Geom2d_BSplineCurve)&Bsplin)
Standard_EXPORT const Handle_StepGeom_BSplineCurveWithKnots & | Value () const

## Private Attributes

Handle_StepGeom_BSplineCurveWithKnots | theBSplineCurveWithKnots

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeBSplineCurveWithKnots::GeomToStep_MakeBSplineCurveWithKnots | ( | const Handle(Geom_BSplineCurve)& | Bsplin | ) |

Standard_EXPORT GeomToStep_MakeBSplineCurveWithKnots::GeomToStep_MakeBSplineCurveWithKnots | ( | const Handle(Geom2d_BSplineCurve)& | Bsplin | ) |

## Member Function Documentation

void GeomToStep_MakeBSplineCurveWithKnots::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineCurveWithKnots::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineCurveWithKnots::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_BSplineCurveWithKnots& GeomToStep_MakeBSplineCurveWithKnots::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_BSplineCurveWithKnots GeomToStep_MakeBSplineCurveWithKnots::theBSplineCurveWithKnots `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeBSplineCurveWithKnots.hxx